## org.mortbay.http.ajp
Class AJP13RequestPacket

    java.lang.Object
      |
      +--org.mortbay.http.ajp.AJP13Packet
            |
            +--org.mortbay.http.ajp.AJP13RequestPacket

public class AJP13RequestPacket
extends AJP13Packet

AJP13RequestPacket used by AJP13InputStream

Author:
  Jason Jenkins <jj@aol.net> This class has the HTTP head encodings for AJP13 Request Packets

Field Summary
`static java.lang.String[]` `__RequestHeader`

Fields inherited from class org.mortbay.http.ajp.AJP13Packet
`__DATA_HDR, __END_RESPONSE, __FORWARD_REQUEST, __GET_BODY_CHUNK, __HDR_SIZE, __header, __MAX_BUF, __MAX_DATA, __method, __SEND_BODY_CHUNK, __SEND_HEADERS, __SHUTDOWN`

Constructor Summary
`AJP13RequestPacket(byte[] buffer)`
`AJP13RequestPacket(byte[] buffer, int len)`
`AJP13RequestPacket(int size)`

Method Summary
`void` `populateHeaders()` Abstract method to populate the header array and hash map.

Methods inherited from class org.mortbay.http.ajp.AJP13Packet
`addBoolean, addByte, addBytes, addHeader, addInt, addString, destroy, getBoolean, getBuffer, getBufferSize, getByte, getBytes, getDataSize, getHeader, getInt, getMark, getMethod, getString, prepare, read, reset, resetData, setDataSize, setDataSize, setInt, toString, toString, unconsumedCapacity, unconsumedData, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### __RequestHeader

    public static java.lang.String[] __RequestHeader

Constructor Detail

### AJP13RequestPacket

    public AJP13RequestPacket(byte[] buffer,
                              int len)

Parameters:
  `buffer` -
  `len` -

### AJP13RequestPacket

    public AJP13RequestPacket(byte[] buffer)

Parameters:
  `buffer` -

### AJP13RequestPacket

    public AJP13RequestPacket(int size)

Parameters:
  `size` -

Method Detail

### populateHeaders

    public void populateHeaders()

  Description copied from class: `AJP13Packet`
  Abstract method to populate the header array and hash map.

  Specified by:
    `populateHeaders` in class `AJP13Packet`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.